summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarek Vasut <marex@cvs.openbsd.org>2009-09-05 02:19:10 +0000
committerMarek Vasut <marex@cvs.openbsd.org>2009-09-05 02:19:10 +0000
commit8435815c93fe331ba0e154a4468f85a67273e08a (patch)
tree8130b10992e5a9c7b7fd4933a760450f53c75d32
parentd23dd4225fbb3647a87277ea3599a25e22e95388 (diff)
Palm: initial commit of etc/etc.palm
OK deraadt@
-rw-r--r--etc/etc.palm/MAKEDEV518
-rw-r--r--etc/etc.palm/MAKEDEV.md119
-rw-r--r--etc/etc.palm/Makefile5
-rw-r--r--etc/etc.palm/Makefile.inc18
-rw-r--r--etc/etc.palm/disktab875
-rw-r--r--etc/etc.palm/fbtab3
-rw-r--r--etc/etc.palm/sysctl.conf4
-rw-r--r--etc/etc.palm/ttys16
8 files changed, 1558 insertions, 0 deletions
diff --git a/etc/etc.palm/MAKEDEV b/etc/etc.palm/MAKEDEV
new file mode 100644
index 00000000000..5618a27b019
--- /dev/null
+++ b/etc/etc.palm/MAKEDEV
@@ -0,0 +1,518 @@
+#!/bin/sh -
+#
+# THIS FILE AUTOMATICALLY GENERATED. DO NOT EDIT.
+# generated from:
+#
+# OpenBSD: etc.palm/MAKEDEV.md,v 1.20 2009/06/03 14:45:40 jj Exp
+# OpenBSD: MAKEDEV.common,v 1.43 2009/06/03 14:45:39 jj Exp
+# OpenBSD: MAKEDEV.mi,v 1.79 2009/01/25 17:30:48 miod Exp
+# OpenBSD: MAKEDEV.sub,v 1.14 2005/02/07 06:14:18 david Exp
+#
+#
+# Copyright (c) 2001-2004 Todd T. Fries <todd@OpenBSD.org>
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+#
+# Device "make" file. Valid arguments:
+# all makes all known devices, including local devices.
+# Tries to make the ``standard'' number of each type.
+# ramdisk Ramdisk kernel devices
+# std Standard devices
+# local Configuration specific devices
+# Disks:
+# ccd* Concatenated disk devices
+# cd* ATAPI and SCSI CD-ROM drives
+# ch* SCSI media changers
+# raid* RAIDframe disk devices
+# rd* "rd" pseudo-disks
+# sd* SCSI disks, including flopticals
+# vnd* "file" pseudo-disk devices
+# wd* "winchester" disk drives (ST506, IDE, ESDI, RLL, ...)
+# Tapes:
+# st* SCSI tape drives
+# Terminal ports:
+# tty[0-7][0-9a-f] NS16x50 serial ports
+# Pseudo terminals:
+# ptm pty master device
+# pty* Set of 62 master pseudo terminals
+# tty* Set of 62 slave pseudo terminals
+# Console ports:
+# wscons Minimal wscons devices
+# ttyC-J* wscons display devices
+# wskbd* wscons keyboards
+# wsmouse* wscons mice
+# wsmux wscons keyboard/mouse mux devices
+# USB devices:
+# uall All USB devices
+# ttyU* USB serial ports
+# ugen* Generic USB devices
+# uhid* Generic HID devices
+# ulpt* Printer devices
+# urio* Diamond Multimedia Rio 500
+# usb* Bus control devices used by usbd for attach/detach
+# uscanner* Scanners
+# Special purpose devices:
+# apm Power management device
+# audio* Audio devices
+# hotplug devices hot plugging
+# bio ioctl tunnel pseudo-device
+# bktr* Video frame grabbers
+# bpf* Berkeley Packet Filter
+# crypto Hardware crypto access driver
+# fd fd/* nodes
+# lkm Loadable kernel modules interface
+# music* MIDI sequencer
+# pf* Packet Filter
+# radio* FM tuner devices
+# rmidi* Raw MIDI devices
+# *random In-kernel random data source
+# tun* Network tunnel driver
+# uk* Unknown SCSI devices
+# ss* SCSI scanners
+# systrace* System call tracing device
+# tuner* Tuner devices
+# video* Video V4L2 devices
+# nnpfs* NNPFS filesystem node
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+T=$0
+
+# set this to echo for Echo-Only debugging
+[ "$eo" ] || eo=
+
+hex()
+{
+ case $1 in
+ [0-9]) echo -n $1;;
+ 10) echo -n a;;
+ 11) echo -n b;;
+ 12) echo -n c;;
+ 13) echo -n d;;
+ 14) echo -n e;;
+ 15) echo -n f;;
+ esac
+}
+
+alph2d()
+{
+ local t="$1"
+ local p="0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"
+ local sub=${p%${t}*}
+ echo ${#sub}
+}
+
+h2d()
+{
+ local s="$1"
+ local f=${s%*[0-9a-f]} n=${s#[0-9a-f]*}
+
+ echo $(($(_h2d $f)*16+ $(_h2d $n) ))
+}
+
+_h2d()
+{
+ case $1 in
+ [0-9]) echo -n $1;;
+ a) echo -n 10;;
+ b) echo -n 11;;
+ c) echo -n 12;;
+ d) echo -n 13;;
+ e) echo -n 14;;
+ f) echo -n 15;;
+ esac
+}
+
+unt()
+{
+ # XXX pdksh can't seem to deal with locally scoped variables
+ # in ${foo#$bar} expansions
+ arg="$1"
+ tmp="${arg#[a-zA-Z]*}"
+ tmp="${tmp%*[a-zA-Z]}"
+ while [ "$tmp" != "$arg" ]
+ do
+ arg=$tmp
+ tmp="${arg#[a-zA-Z]*}"
+ tmp="${tmp%*[a-zA-Z]}"
+ done
+ echo $arg
+}
+
+dodisk()
+{
+ [ "$DEBUG" ] && set -x
+ n=$(($((${5}*${7:-16}))+${6})) count=0
+ [ 0$7 -ne 8 ] && l="i j k l m n o p"
+ for d in a b c d e f g h $l
+ do
+ M $1$2$d b $3 $(($n+$count)) 640 operator
+ M r$1$2$d c $4 $(($n+$count)) 640 operator
+ let count=count+1
+ done
+}
+
+dodisk2()
+{
+ n=$(($(($5*${7:-16}))+$6))
+ M $1$2a b $3 $n 640 operator
+ M r$1$2a c $4 $n 640 operator
+ n=$(($n+2))
+ M $1$2c b $3 $n 640 operator
+ M r$1$2c c $4 $n 640 operator
+}
+
+# M name b/c major minor [mode] [group]
+RMlist[0]="rm -f"
+
+mkl() {
+ mklist[${#mklist[*]}]=";mknod -m $1 $2 $3 $4 $5"
+}
+
+M() {
+ RMlist[${#RMlist[*]}]=$1
+ mkl ${5-666} $1 $2 $3 $4
+ G=${6:-wheel}
+ [ "$7" ] && {
+ MKlist[${#MKlist[*]}]=";chown $7:$G $1"
+ } || {
+ case $G in
+ wheel)
+ [ ${#whlist[*]} = 0 ] && whlist[0]=";chgrp wheel"
+ whlist[${#whlist[*]}]="$1"
+ ;;
+ operator)
+ [ ${#oplist[*]} = 0 ] && oplist[0]=";chgrp operator"
+ oplist[${#oplist[*]}]="$1"
+ ;;
+ *)
+ MKlist[${#MKlist[*]}]=";chgrp $G $1";
+ esac
+ }
+ return 0
+}
+
+R() {
+[ "$DEBUG" ] && set -x
+for i in "$@"
+do
+U=`unt $i`
+[ "$U" ] || U=0
+
+case $i in
+ramdisk)
+ R std bpf0 wd0 wd1 sd0 tty00 rd0 wsmouse
+ R st0 ttyC0 wskbd0 apm bio
+ ;;
+
+std)
+ M console c 0 0 600
+ M tty c 1 0
+ M mem c 2 0 640 kmem
+ M kmem c 2 1 640 kmem
+ M null c 2 2
+ M zero c 2 12
+ M stdin c 7 0
+ M stdout c 7 1
+ M stderr c 7 2
+ M ksyms c 8 0 640 kmem
+ M klog c 6 0 600
+ ;;
+
+nnpfs*)
+ M nnpfs$U c 51 $U 600
+ ;;
+
+video*)
+ M video$U c 38 $U
+ MKlist[${#MKlist[*]}]=";[ -e video ] || ln -s video$U video"
+ ;;
+
+tuner*)
+ M tuner$U c 75 $(($(($U*2))+16)) 644
+ ;;
+
+systrace)
+ M systrace c 50 0 644
+ ;;
+
+ss*)
+ M ss$U c 29 $(($U*16)) 640 operator
+ M nss$U c 29 $(($(($U*16))+1)) 640 operator
+ M enss$U c 29 $(($(($U*16))+3)) 640 operator
+ RMlist[${#RMlist[*]}]="scan$U"
+ MKlist[${#MKlist[*]}]=";umask 77;ln -s ss$U scan$U"
+ ;;
+
+uk*)
+ M uk$U c 28 $U 640 operator
+ ;;
+
+tun*)
+ M tun$U c 33 $U 600
+ ;;
+
+*random)
+ n=0
+ for pre in " " s u a
+ do
+ M ${pre}random c 40 $n 644
+ n=$(($n+1))
+ done
+ ;;
+
+rmidi*)
+ M rmidi$U c 57 $U 666
+ ;;
+
+radio*)
+ M radio$U c 97 $U
+ MKlist[${#MKlist[*]}]=";[ -e radio ] || ln -s radio$U radio"
+ ;;
+
+pf*)
+ M pf c 46 0 600
+ ;;
+
+music*)
+ M music$U c 58 $U
+ M sequencer$U c 58 $(($U+128))
+ MKlist[${#MKlist[*]}]=";[ -e music ] || ln -s music$U music"
+ MKlist[${#MKlist[*]}]=";[ -e sequencer ] || ln -s sequencer$U sequencer"
+ ;;
+
+lkm)
+ M lkm c 35 0 640 _lkm
+ ;;
+
+fd)
+ RMlist[${#RMlist[*]}]=";mkdir -p fd;rm -f" n=0
+ while [ $n -lt 64 ];do M fd/$n c 7 $n;n=$(($n+1));done
+ MKlist[${#MKlist[*]}]=";chmod 555 fd"
+ ;;
+
+crypto)
+ M crypto c 47 0
+ ;;
+
+bpf*)
+ M bpf$U c 22 $U 600
+ ;;
+
+bktr*)
+ M bktr$U c 75 $U 644
+ ;;
+
+bio)
+ M bio c 52 0 600
+ ;;
+
+hotplug)
+ M hotplug c 37 $U 400
+ ;;
+
+audio*)
+ M sound$U c 36 $U
+ M mixer$U c 36 $(($U+16))
+ M audio$U c 36 $(($U+128))
+ M audioctl$U c 36 $(($U+192))
+ MKlist[${#MKlist[*]}]=";[ -e audio ] || ln -s audio$U audio"
+ MKlist[${#MKlist[*]}]=";[ -e mixer ] || ln -s mixer$U mixer"
+ MKlist[${#MKlist[*]}]=";[ -e sound ] || ln -s sound$U sound"
+ MKlist[${#MKlist[*]}]=";[ -e audioctl ] || ln -s audioctl$U audioctl"
+ ;;
+
+apm*)
+ M apm c 34 0 644
+ M apmctl c 34 8 644
+ ;;
+
+uscanner*)
+ M uscanner$U c 69 $U 660
+ ;;
+
+usb*)
+ [ "$i" = "usb" ] && u= || u=$U
+ M usb$u c 64 $U 660
+ ;;
+
+urio*)
+ M urio$U c 67 $U 660
+ ;;
+
+ulpt*)
+ M ulpt$U c 66 $U 660
+ ;;
+
+uhid*)
+ M uhid$U c 65 $U 660
+ ;;
+
+ugen*)
+ n=$(($U*16))
+ for j in 0{0,1,2,3,4,5,6,7,8,9} 1{0,1,2,3,4,5}
+ do
+ M ugen$U.$j c 70 $(($n+10#$j)) 660
+ done
+ ;;
+
+ttyU[0-9a-zA-Z])
+ U=${i#ttyU*}
+ o=$(alph2d $U)
+ M ttyU$U c 68 $o 660 dialer uucp
+ M cuaU$U c 68 $(($o+128)) 660 dialer uucp
+ ;;
+
+uall)
+ R ttyU0 ttyU1 ttyU2 ttyU3 ugen0 ugen1 ulpt0 ulpt1 uhid0 uhid1
+ R uhid2 uhid3 uscanner0 urio0 usb0 usb1 usb2 usb3 usb4 usb5
+ ;;
+
+wsmux|wsmouse|wskbd)
+ M wsmouse c 63 0 600
+ M wskbd c 63 1 600
+ ;;
+
+wsmouse*)
+ M wsmouse$U c 62 $U 600
+ ;;
+
+wskbd*)
+ M wskbd$U c 61 $U 600
+ ;;
+
+tty[C-J]*)
+ U=${i##tty[C-J]}
+ case $i in
+ ttyC*) n=C m=0;;
+ ttyD*) n=D m=256;;
+ ttyE*) n=E m=512;;
+ ttyF*) n=F m=768;;
+ ttyG*) n=G m=1024;;
+ ttyH*) n=H m=1280;;
+ ttyI*) n=I m=1536;;
+ ttyJ*) n=J m=1792;;
+ esac
+ case $U in
+ [0-9a-f]) M tty$n$U c 60 $((16#$U+$m)) 600;;
+ cfg) M tty${n}cfg c 60 $((255+$m)) 600;;
+ *) echo bad unit $U for $i; exit 1;;
+ esac
+ ;;
+
+wscons)
+ R wsmouse0 wsmouse1 wsmouse2 wsmouse3 wskbd0 wskbd1 wskbd2
+ R wskbd3 wsmux ttyCcfg ttyC0 ttyC1 ttyC2 ttyC3 ttyC4 ttyC5
+ R ttyC6 ttyC7 ttyC8 ttyC9 ttyCa ttyCb
+ ;;
+
+pty*)
+ if [ $U -gt 15 ]; then
+ echo bad unit for pty in: $i
+ continue
+ fi
+ set -A letters p q r s t u v w x y z P Q R S T
+ set -A suffixes 0 1 2 3 4 5 6 7 8 9 a b c d e f g h i j k l m n o p q \
+ r s t u v w x y z A B C D E F G H I J K L M N O P Q R S T U V W X \
+ Y Z
+
+ name=${letters[$U]}
+ n=0
+ while [ $n -lt 62 ]
+ do
+ nam=$name${suffixes[$n]}
+ off=$(($U*62))
+ M tty$nam c 4 $(($off+$n))
+ M pty$nam c 5 $(($off+$n))
+ n=$(($n+1))
+ done
+ ;;
+
+ptm)
+ M ptm c 98 0 666
+ ;;
+
+tty[0-7][0-9a-f])
+ U=${i#tty*}
+ o=$(h2d $U)
+ M tty$U c 12 $o 660 dialer uucp
+ M cua$U c 12 $(($o+128)) 660 dialer uucp
+ ;;
+
+st*)
+ n=$(($U*16))
+ for pre in " " n e en
+ do
+ M ${pre}st$U b 25 $n 660 operator
+ M ${pre}rst$U c 25 $n 660 operator
+ n=$(($n+1))
+ done
+ ;;
+
+vnd*)
+ dodisk vnd $U 19 19 $U 0
+ dodisk svnd $U 19 19 $U 2048
+ ;;
+
+rd*)
+ dodisk2 rd $U 18 18 $U 0
+ ;;
+
+ch*)
+ M ch$U c 27 $U 660 operator
+ ;;
+
+cd*)
+ dodisk2 cd $U 26 26 $U 0
+ ;;
+
+local)
+ test -s $T.local && sh $T.local
+ ;;
+
+all)
+ R ccd0 ccd1 ccd2 ccd3 vnd0 vnd1 vnd2 vnd3 sd0 sd1 sd2 sd3 sd4
+ R sd5 sd6 sd7 sd8 sd9 cd0 cd1 rd0 tun0 tun1 tun2 tun3 bpf0
+ R bpf1 bpf2 bpf3 bpf4 bpf5 bpf6 bpf7 bpf8 bpf9 pty0 bio nnpfs0
+ R ss0 ss1 ch0 hotplug ptm local wscons uall rmidi0 rmidi1
+ R rmidi2 rmidi3 rmidi4 rmidi5 rmidi6 rmidi7 tuner0 radio0
+ R music0 video0 audio0 audio1 audio2 uk0 random lkm tty00
+ R tty01 tty02 tty03 apm crypto pf systrace wd0 wd1 wd2 wd3
+ R raid0 raid1 raid2 raid3 std st0 st1 fd
+ ;;
+
+wd*|sd*|raid*|ccd*)
+ case $i in
+ wd*) dodisk wd $U 16 16 $U 0;;
+ sd*) dodisk sd $U 24 24 $U 0;;
+ raid*) dodisk raid $U 71 71 $U 0;;
+ ccd*) dodisk ccd $U 21 21 $U 0;;
+ esac
+ ;;
+
+*)
+ echo $i: unknown device
+ ;;
+esac
+done
+}
+R "$@"
+{
+echo -n ${RMlist[*]}
+echo -n ${mklist[*]}
+echo -n ${MKlist[*]}
+echo -n ${whlist[*]}
+echo ${oplist[*]}
+} | if [ "$eo" = "echo" ]; then
+ cat
+else
+ sh
+fi
diff --git a/etc/etc.palm/MAKEDEV.md b/etc/etc.palm/MAKEDEV.md
new file mode 100644
index 00000000000..eaf3c9c8081
--- /dev/null
+++ b/etc/etc.palm/MAKEDEV.md
@@ -0,0 +1,119 @@
+define(MACHINE,palm)dnl
+vers(__file__,
+ {-$OpenBSD: MAKEDEV.md,v 1.1 2009/09/05 02:19:09 marex Exp $-},
+etc.MACHINE)dnl
+dnl
+dnl Copyright (c) 2001-2004 Todd T. Fries <todd@OpenBSD.org>
+dnl All rights reserved.
+dnl
+dnl Redistribution and use in source and binary forms, with or without
+dnl modification, are permitted provided that the following conditions
+dnl are met:
+dnl 1. Redistributions of source code must retain the above copyright
+dnl notice, this list of conditions and the following disclaimer.
+dnl 2. The name of the author may not be used to endorse or promote products
+dnl derived from this software without specific prior written permission.
+dnl
+dnl THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES,
+dnl INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+dnl AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
+dnl THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+dnl EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+dnl PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+dnl OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+dnl WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+dnl OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+dnl ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+dnl
+dnl
+__devitem(apm, apm, Power management device)dnl
+_TITLE(make)
+_DEV(all)
+_DEV(ramdisk)
+_DEV(std)
+_DEV(local)
+_TITLE(dis)
+_DEV(ccd, 21, 21)
+_DEV(cd, 26, 26)
+_DEV(ch, 27)
+_DEV(raid, 71, 71)
+_DEV(rd, 18, 18)
+_DEV(sd, 24, 24)
+_DEV(vnd, 19, 19)
+_DEV(wd, 16, 16)
+_TITLE(tap)
+_DEV(st, 25, 25)
+_TITLE(term)
+dnl _DEV(com, 12)
+dnl _DEV(fcom, 54)
+_DEV(com, 12)
+_TITLE(pty)
+_DEV(ptm, 98)
+_DEV(pty, 5)
+_DEV(tty, 4)
+_TITLE(cons)
+_DEV(wscons)
+_DEV(wsdisp, 60)
+_DEV(wskbd, 61)
+_DEV(wsmouse, 62)
+_DEV(wsmux, 63)
+_TITLE(usb)
+_DEV(uall)
+_DEV(ttyU, 68)
+_DEV(ugen, 70)
+_DEV(uhid, 65)
+_DEV(ulpt, 66)
+_DEV(urio, 67)
+_DEV(usb, 64)
+_DEV(uscan, 69)
+_TITLE(spec)
+_DEV(apm, 34)
+_DEV(au, 36)
+_DEV(hotplug, 37)
+_DEV(bio, 52)
+_DEV(bktr, 75)
+_DEV(bpf, 22)
+_DEV(cry, 47)
+_DEV(fdesc, 7)
+_DEV(lkm, 35)
+_DEV(music, 58)
+_DEV(pf, 46)
+_DEV(radio, 97)
+_DEV(rmidi, 57)
+_DEV(rnd, 40)
+_DEV(tun, 33)
+_DEV(uk, 28)
+_DEV(ss, 29)
+_DEV(systrace, 50)
+_DEV(tuner, 75)
+_DEV(vi, 38)
+_DEV(nnpfs, 51)
+dnl
+divert(__mddivert)dnl
+dnl
+ramdisk)
+ _recurse std bpf0 wd0 wd1 sd0 tty00 rd0 wsmouse
+ _recurse st0 ttyC0 wskbd0 apm bio
+ ;;
+
+_std(1, 2, 8, 6)
+ ;;
+dnl
+dnl *** palm specific targets
+dnl
+target(all, ch, 0)dnl
+target(all, ss, 0, 1)dnl
+target(all, nnpfs, 0)dnl
+target(all, bio)dnl
+twrget(all, flo, fd, 0, 0B, 0C, 0D, 0E, 0F, 0G, 0H)dnl
+twrget(all, flo, fd, 1, 1B, 1C, 1D, 1E, 1F, 1G, 1H)dnl
+target(all, pty, 0)dnl
+target(all, bpf, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9)dnl
+target(all, tun, 0, 1, 2, 3)dnl
+target(all, xy, 0, 1, 2, 3)dnl
+target(all, rd, 0)dnl
+target(all, cd, 0, 1)dnl
+target(all, sd, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9)dnl
+target(all, vnd, 0, 1, 2, 3)dnl
+target(all, ccd, 0, 1, 2, 3)dnl
+target(all, ttyC, 0, 1)dnl
diff --git a/etc/etc.palm/Makefile b/etc/etc.palm/Makefile
new file mode 100644
index 00000000000..71ef62f6b79
--- /dev/null
+++ b/etc/etc.palm/Makefile
@@ -0,0 +1,5 @@
+# $OpenBSD: Makefile,v 1.1 2009/09/05 02:19:09 marex Exp $
+
+all: MAKEDEV
+
+.include <bsd.prog.mk>
diff --git a/etc/etc.palm/Makefile.inc b/etc/etc.palm/Makefile.inc
new file mode 100644
index 00000000000..ce8dddabe79
--- /dev/null
+++ b/etc/etc.palm/Makefile.inc
@@ -0,0 +1,18 @@
+# $OpenBSD: Makefile.inc,v 1.1 2009/09/05 02:19:09 marex Exp $
+
+kernels: bsd bootblocks
+ cp ${.CURDIR}/../sys/arch/palm/compile/GENERIC/bsd \
+ ${RELEASEDIR}/bsd
+
+bsd:
+ cd ${.CURDIR}/../sys/arch/palm/conf && config GENERIC
+ cd ${.CURDIR}/../sys/arch/palm/compile/GENERIC && \
+ ${MAKE} clean && ${MAKE} depend && exec ${MAKE}
+
+bootblocks:
+ cp ${DESTDIR}/usr/mdec/zboot ${RELEASEDIR}
+ cp ${DESTDIR}/usr/mdec/zbsdmod.o ${RELEASEDIR}
+
+MDEXT= bsd bsd.rd Packages
+
+.PHONY: bsd bootblocks
diff --git a/etc/etc.palm/disktab b/etc/etc.palm/disktab
new file mode 100644
index 00000000000..5ca7bb91ff0
--- /dev/null
+++ b/etc/etc.palm/disktab
@@ -0,0 +1,875 @@
+# $OpenBSD: disktab,v 1.1 2009/09/05 02:19:09 marex Exp $
+#
+# @(#)disktab 5.5 (Berkeley) 2/27/91
+#
+# Disk geometry and partition layout tables.
+# Key:
+# ty type of disk
+# ns #sectors/track
+# nt #tracks/cylinder
+# nc #cylinders/disk
+# rm rpm, 3600 default
+# se sector size, 512 default
+# sf supports bad144-style bad sector forwarding
+# so partition offsets in sectors
+# p[a-h] partition sizes in sectors
+# b[a-h] partition block sizes in bytes
+# f[a-h] partition fragment sizes in bytes
+#
+
+
+# Leave nc=16; adjust size using: ns
+rdroot|ramdiskroot|RAM-disk root FS image:\
+ :ty=simulated:se#512:nc#16:nt#2:ns#256:\
+ :ta=4.2BSD:oa#0:pa#8192:fa#512:ba#4096:\
+ :ob#0:pb#0:oc#0:pc#8192:
+
+
+rdroot2.5M|ramdiskroot2.5M|RAM-disk root FS image:\
+ :ty=simulated:se#512:nc#16:nt#2:ns#160:\
+ :oa#0:pa#5120:ta=4.2BSD:fa#512:ba#4096:\
+ :ob#0:pb#0:tb=swap:\
+ :oc#0:pc#5120:
+
+# pseudo-geometry taken from rd794
+miniroot:\
+ :ty=winchester:ns#16:nt#7:nc#968:\
+ :pa#10240:ba#8192:fa#1024:
+
+floppy|floppy3|3in|3.5in High Density Floppy:\
+ :ty=floppy:se#512:nt#2:rm#300:ns#18:nc#80:\
+ :pa#2880:oa#0:ba#4096:fa#512:\
+ :pb#2880:ob#0:\
+ :pc#2880:oc#0:
+
+ASI-1.0GIBM:\
+ :ty#winchester:ns#80:nt#15:nc#1632:
+
+Arte DEC DSP3160S:\
+ :ty#winchester:ns#112:nt#16:nc#1744:
+
+CDC 9720-850:\
+ :ty#XD7053:ns#66:nt#15:nc#1358:
+
+CDC EMD 9720:\
+ :ty#XD7053:ns#48:nt#10:nc#1147:
+
+CDC EMD 9720-1230:\
+ :ty#XD7053:ns#82:nt#15:nc#1633:
+
+CDC IPI 9720:\
+ :ty#ISP-80:ns#82:nt#15:nc#1631:\
+ :pa#33210:oa#0:ba#8192:\
+ :pb#131610:ob#33210:\
+ :pc#2006130:oc#0:\
+ :pg#196800:og#164820:\
+ :ph#1644510:oh#361620:
+
+CDC IPI 9722:\
+ :ty#ISP-80:ns#156:nt#7:nc#1630:\
+ :pa#33852:oa#0:ba#8192:\
+ :pb#132132:ob#33852:\
+ :pc#1779960:oc#0:\
+ :pg#197652:og#165984:\
+ :ph#1416324:oh#363636:
+
+CDC Wren IV 94171-344:\
+ :ty#winchester:ns#46:nt#9:nc#1545:
+
+CONNER 30170E:\
+ :ty#winchester:ns#46:nt#8:nc#897:\
+ :pa#14720:oa#0:ba#8192:\
+ :pb#40480:ob#14720:\
+ :pc#330096:oc#0:\
+ :pg#274896:og#55200:
+
+CONNER 30200:\
+ :ty#winchester:ns#49:nt#4:nc#2121:\
+ :pc#415716:oc#0:
+
+CONNER CFP4207S 4.28GB:\
+ :ty#winchester:ns#125:nt#20:nc#3353:\
+ :pc#8382500:oc#0:
+
+CONNER CP3500-540MB-3.5:\
+ :ty#winchester:ns#50:nt#12:nc#1768:\
+ :pc#1060800:oc#0:
+
+CP3100:\
+ :ty#winchester:ns#49:nt#4:nc#1023:\
+ :pc#204864:oc#0:
+
+Conner CFP1060:\
+ :ty#winchester:ns#111:nt#8:nc#2329:
+
+Conner CP3540:\
+ :ty#winchester:ns#49:nt#12:nc#1805:
+
+DEC DSP3107L:\
+ :ty#winchester:ns#83:nt#8:nc#3147:\
+ :pc#2089608:oc#0:
+
+DEC DSP3210 2 GB:\
+ :ty#winchester:ns#86:nt#16:nc#3040:\
+ :pc#4183040:oc#0:
+
+DEC DSP5200:\
+ :ty#winchester:ns#71:nt#21:nc#2619:\
+ :pa#32802:oa#0:ba#8192:\
+ :pb#65604:ob#32802:\
+ :pc#3904929:oc#0:\
+ :pg#3806523:og#98406:
+
+DEC DSP5350:\
+ :ty#winchester:ns#91:nt#25:nc#3053:
+
+DEC_RZ26:\
+ :ty#winchester:ns#57:nt#14:nc#2568:\
+ :pa#66234:oa#0:ba#8192:\
+ :pb#132468:ob#66234:\
+ :pc#2049264:oc#0:\
+ :pg#1850562:og#198702:
+
+DEC_RZ28:\
+ :ty#winchester:ns#84:nt#16:nc#3043:\
+ :pa#64512:oa#0:ba#8192:\
+ :pb#196224:ob#64512:\
+ :pc#4089792:oc#0:\
+ :pg#3827712:og#260736:
+
+DEC_RZ58:\
+ :ty#winchester:ns#85:nt#15:nc#2112:
+
+DEC_RZ58_whole_disk:\
+ :\
+ :pc#2692800:oc#0:
+
+DEC_RZ74:\
+ :ty#winchester:ns#91:nt#25:nc#3053:\
+ :pa#65975:oa#0:ba#8192:\
+ :pb#193375:ob#65975:\
+ :pc#4192825:oc#0:\
+ :pg#3931200:og#259350:\
+ :ph#2752750:oh#4192825:
+
+Fujitsu M2243AS:\
+ :ty#ACB4000:ns#17:nt#11:nc#752:
+
+Fujitsu M2246E:\
+ :ty#winchester:ns#35:nt#6:nc#1196:\
+ :pa#16170:oa#0:ba#8192:\
+ :pb#28140:ob#16170:\
+ :pc#251160:oc#0:\
+ :pg#206850:og#44310:
+
+Fujitsu M2263SA:\
+ :ty#winchester:ns#53:nt#15:nc#1652:
+
+Fujitsu M2266SA 1.2GB:\
+ :ty#winchester:ns#85:nt#15:nc#1652:
+
+Fujitsu M2266SA 1GB:\
+ :ty#winchester:ns#85:nt#15:nc#1642:
+
+Fujitsu M2344K:\
+ :ty#XD7053:ns#64:nt#27:nc#622:
+
+Fujitsu M2511A:\
+ :ty#winchester:ns#25:nt#1:nc#9950:
+
+Fujitsu M2512A small:\
+ :ty#winchester:ns#25:nt#1:nc#9950:\
+ :pc#248750:oc#0:
+
+Fujitsu M2512A v2:\
+ :ty#winchester:ns#25:nt#1:nc#17840:\
+ :pc#446000:oc#0:
+
+Fujitsu M2622SA:\
+ :ty#winchester:ns#64:nt#7:nc#1429:\
+ :pc#640192:oc#0:
+
+Fujitsu M2624FA:\
+ :ty#winchester:ns#64:nt#11:nc#1440:\
+ :pa#22528:oa#0:ba#8192:\
+ :pb#67584:ob#22528:\
+ :pc#1013760:oc#0:\
+ :pg#450560:og#90112:\
+ :ph#473088:oh#540672:
+
+Fujitsu M2652SA:\
+ :ty#winchester:ns#88:nt#20:nc#1935:
+
+Fujitsu M2654SA:\
+ :ty#winchester:ns#88:nt#21:nc#2174:
+
+Fujitsu M2684S:\
+ :ty#SCSI:ns#74:nt#6:nc#2338:
+
+Fujitsu-M2284/M2322:\
+ :ty#XY450:ns#32:nt#10:nc#821:
+
+Fujitsu-M2312K:\
+ :ty#XY450:ns#32:nt#7:nc#587:
+
+Fujitsu-M2333:\
+ :ty#XD7053:ns#67:nt#10:nc#821:
+
+Fujitsu-M2351 Eagle:\
+ :ty#XD7053:ns#46:nt#20:nc#840:
+
+Fujitsu-M2361 Eagle:\
+ :ty#XD7053:ns#67:nt#20:nc#840:
+
+Fujitsu-M2372K:\
+ :ty#XD7053:ns#67:nt#27:nc#743:
+
+Fujitsu-M2382:\
+ :ty#XD7053:ns#81:nt#27:nc#743:\
+ :pa#80919:oa#0:ba#8192:\
+ :pb#129033:ob#80919:\
+ :pc#1624941:oc#0:\
+ :pd#470205:od#209952:\
+ :pe#944784:oe#680157:\
+ :pf#209952:of#0:\
+ :pg#1414989:og#209952:\
+ :ph#1544022:oh#80919:
+
+Fujitsu-M2624S-512:\
+ :ty#winchester:ns#64:nt#11:nc#1429:
+
+Fujitsu-M2651SA:\
+ :ty#winchester:ns#88:nt#16:nc#1934:\
+ :pc#2723072:oc#0:
+
+Fujitsu-M2694ESA:\
+ :ty#winchester:ns#77:nt#15:nc#1830:
+
+HP 97549T:\
+ :ty#winchester:ns#64:nt#16:nc#1909:
+
+HP 97556:\
+ :ty#winchester:ns#72:nt#11:nc#1668:
+
+HP 97558:\
+ :ty#winchester:ns#72:nt#15:nc#1933:
+
+HP 97560:\
+ :ty#winchester:ns#72:nt#19:nc#1933:
+
+HP C2247 1.05GB:\
+ :ty#winchester:ns#95:nt#13:nc#1661:\
+ :pc#2051335:oc#0:\
+ :pg#1640080:og#0:\
+ :ph#411255:oh#1640080:
+
+HP C3010 / Cranel 2.0GB Fast SCSI2 H10:\
+ :ty#winchester:ns#95:nt#19:nc#2165:
+
+HP97548SU 664MB:\
+ :ty#winchester:ns#56:nt#16:nc#1445:\
+ :pa#35840:oa#0:ba#8192:\
+ :pb#71680:ob#35840:\
+ :pc#1294720:oc#0:\
+ :pg#197120:og#215040:\
+ :ph#342720:oh#609280:
+
+Hewlett Packard C2490A:\
+ :ty#winchester:ns#107:nt#18:nc#2159:
+
+Hewlett Packard C3323A:\
+ :ty#winchester:ns#98:nt#7:nc#2995:
+
+Hewlett Packard C3725S:\
+ :ty#winchester:ns#140:nt#9:nc#3362:\
+ :pc#4236120:oc#0:\
+ :ph#4193280:oh#1260:
+
+Hitachi DK315C-10:\
+ :ty#winchester:ns#75:nt#11:nc#2467:
+
+Hitachi DK315C-11:\
+ :ty#winchester:ns#58:nt#15:nc#2478:
+
+Hitachi DK315C-14:\
+ :ty#winchester:ns#75:nt#15:nc#2462:
+
+Hitachi DK326C-10:\
+ :ty#winchester:ns#87:nt#7:nc#3200:
+
+Hitachi DK326C-6:\
+ :ty#winchester:ns#87:nt#4:nc#3200:
+
+Hitachi DK515C-78:\
+ :ty#winchester:ns#69:nt#14:nc#1354:
+
+Hitachi DK516C-16:\
+ :ty#winchester:ns#80:nt#15:nc#2170:
+
+Hitachi DK517C-37:\
+ :ty#winchester:ns#81:nt#21:nc#3297:
+
+Hitachi DK815-10:\
+ :ty#XD7053:ns#67:nt#15:nc#1735:
+
+IBM 0662-S12:\
+ :ty#winchester:ns#114:nt#6:nc#3002:
+
+IBM 0662S12:\
+ :ty#winchester:ns#108:nt#5:nc#3803:
+
+IBM 0663-E15:\
+ :ty#winchester:ns#37:nt#20:nc#3182:
+
+IBM 0663L12:\
+ :ty#winchester:ns#66:nt#15:nc#1979:\
+ :pc#1959210:oc#0:
+
+IBM 0664-M1H/N1H:\
+ :ty#winchester:ns#86:nt#16:nc#2856:
+
+IBM 0664CSH:\
+ :ty#winchester:ns#125:nt#30:nc#2787:
+
+IBM 0664M1H:\
+ :ty#winchester:ns#94:nt#15:nc#2787:
+
+IBM DFHSS1x:\
+ :ty#winchester:ns#125:nt#4:nc#4383:
+
+IBM DFHSS2x:\
+ :ty#winchester:ns#125:nt#8:nc#4388:
+
+IBM DFHSS4x:\
+ :ty#winchester:ns#125:nt#16:nc#4390:
+
+IBM DPES-31080:\
+ :ty#winchester:ns#108:nt#4:nc#4901:\
+ :pc#2117232:oc#0:
+
+IBM DSAS-3270:\
+ :ty#winchester:ns#108:nt#2:nc#2542:
+
+IBM DSAS-3360:\
+ :ty#winchester:ns#108:nt#2:nc#3297:
+
+IBM DSAS-3540:\
+ :ty#winchester:ns#108:nt#3:nc#3259:
+
+IBM DSAS-3720:\
+ :ty#winchester:ns#108:nt#4:nc#3292:
+
+IBM OEM 0664M1H:\
+ :ty#winchester:ns#94:nt#15:nc#2787:
+
+IBM OEM DFHSS2F:\
+ :ty#winchester:ns#135:nt#8:nc#4076:\
+ :pa#4100760:oa#0:ba#8192:\
+ :pb#301320:ob#4100760:
+
+MAXOPTIX (NON-ISO, 1024b) DATA:\
+ :ty#winchester:ns#66:nt#1:nc#15104:
+
+MAXOPTIX (NON-ISO, 1024b) SYSTEM:\
+ :ty#winchester:ns#66:nt#1:nc#15104:
+
+MAXOPTIX (NON-ISO, 512b) DATA:\
+ :ty#winchester:ns#60:nt#1:nc#15081:
+
+MAXOPTIX (NON-ISO, 512b) SYSTEM:\
+ :ty#winchester:ns#60:nt#1:nc#15081:
+
+MICROP 4221-09MZ 10204:\
+ :ty#winchester:ns#139:nt#9:nc#3198:\
+ :pc#4000698:oc#0:
+
+MICROPOLIS 1991-27:\
+ :ty#winchester:ns#149:nt#27:nc#4400:
+
+MICROPOLIS 3243-19:\
+ :ty#winchester:ns#106:nt#19:nc#4139:
+
+MICROPOLIS 4110-09:\
+ :ty#winchester:ns#95:nt#9:nc#2283:
+
+Maxtor 7213SR NB:\
+ :ty#winchester:ns#65:nt#4:nc#1595:\
+ :pc#414700:oc#0:\
+ :pg#414700:og#0:
+
+Maxtor DXP3105S:\
+ :ty#winchester:ns#57:nt#14:nc#2568:
+
+Maxtor LXT-200S:\
+ :ty#winchester:ns#43:nt#7:nc#1117:
+
+Maxtor LXT-340SY:\
+ :ty#winchester:ns#70:nt#7:nc#1355:
+
+Maxtor LXT535ST:\
+ :ty#winchester:ns#61:nt#11:nc#1547:\
+ :pc#1038037:oc#0:
+
+Maxtor MXT1240S:\
+ :ty#winchester:ns#70:nt#15:nc#2306:\
+ :pc#2421300:oc#0:\
+ :pg#2421300:og#0:
+
+Maxtor P0-12S (1632):\
+ :ty#winchester:ns#90:nt#15:nc#1478:\
+ :pc#1995300:oc#0:\
+ :pg#1995300:og#0:
+
+Maxtor P0-12S (1795):\
+ :ty#winchester:ns#90:nt#15:nc#1510:\
+ :pc#2038500:oc#0:\
+ :pg#2038500:og#0:
+
+Maxtor P1-17S:\
+ :ty#winchester:ns#83:nt#19:nc#1816:\
+ :pa#78850:oa#0:ba#8192:\
+ :pb#78850:ob#78850:\
+ :pc#2863832:oc#0:\
+ :pd#78850:od#157700:\
+ :pg#2469582:og#236550:\
+ :ph#78850:oh#2706132:
+
+Maxtor P1-17S NB:\
+ :ty#winchester:ns#90:nt#19:nc#1711:\
+ :pc#2925810:oc#0:\
+ :pg#2925810:og#0:
+
+Maxtor XT-1050:\
+ :ty#ACB4000:ns#17:nt#5:nc#1020:
+
+Maxtor XT-3280S:\
+ :ty#winchester:ns#25:nt#15:nc#1222:
+
+Maxtor XT-4380S:\
+ :ty#winchester:ns#36:nt#15:nc#1202:
+
+Maxtor XT-8380S:\
+ :ty#winchester:ns#53:nt#8:nc#1626:
+
+Maxtor XT-8610E:\
+ :ty#winchester:ns#52:nt#12:nc#1626:
+
+Maxtor XT-8760E:\
+ :ty#winchester:ns#50:nt#15:nc#1616:\
+ :pa#97500:oa#0:ba#8192:\
+ :pb#63750:ob#658500:\
+ :pc#1212000:oc#0:\
+ :pd#280500:od#97500:\
+ :pe#280500:oe#378000:\
+ :pf#489750:of#722250:\
+ :pg#561000:og#97500:\
+ :ph#658500:oh#0:
+
+Maxtor XT-8760S:\
+ :ty#winchester:ns#54:nt#15:nc#1614:
+
+Micropolis 1304:\
+ :ty#ACB4000:ns#17:nt#6:nc#825:
+
+Micropolis 1325:\
+ :ty#ACB4000:ns#17:nt#8:nc#1022:
+
+Micropolis 1355:\
+ :ty#winchester:ns#34:nt#8:nc#1018:
+
+Micropolis 1528-15:\
+ :ty#winchester:ns#83:nt#15:nc#2102:\
+ :pa#32370:oa#0:ba#8192:\
+ :pb#64740:ob#32370:\
+ :pc#2616990:oc#0:\
+ :pg#2519880:og#97110:
+
+Micropolis 1548-15:\
+ :ty#winchester:ns#131:nt#15:nc#1701:\
+ :pa#33405:oa#0:ba#8192:\
+ :pb#66810:ob#33405:\
+ :pc#3342465:oc#0:\
+ :pg#3242250:og#100215:
+
+Micropolis 1558:\
+ :ty#winchester:ns#35:nt#15:nc#1218:
+
+Micropolis 1578-15:\
+ :ty#winchester:ns#35:nt#15:nc#1231:\
+ :pa#32550:oa#0:ba#8192:\
+ :pb#65100:ob#32550:\
+ :pc#646275:oc#0:\
+ :pg#548625:og#97650:
+
+Micropolis 1588-15:\
+ :ty#winchester:ns#53:nt#15:nc#1637:\
+ :pa#32595:oa#0:ba#8192:\
+ :pb#65190:ob#32595:\
+ :pc#1301415:oc#0:\
+ :pg#1203630:og#97785:
+
+Micropolis 1598-15:\
+ :ty#winchester:ns#70:nt#15:nc#1931:\
+ :pa#32550:oa#0:ba#8192:\
+ :pb#65100:ob#32550:\
+ :pc#2027550:oc#0:\
+ :pg#1929900:og#97650:
+
+Micropolis 1624-7:\
+ :ty#winchester:ns#114:nt#7:nc#1647:\
+ :pa#32718:oa#0:ba#8192:\
+ :pb#65436:ob#32718:\
+ :pc#1314306:oc#0:\
+ :pg#1216152:og#98154:
+
+Micropolis 1674-7:\
+ :ty#winchester:ns#35:nt#7:nc#1255:\
+ :pa#16415:oa#0:ba#8192:\
+ :pb#32830:ob#16415:\
+ :pc#307475:oc#0:\
+ :pg#258230:og#49245:
+
+Micropolis 1684-7:\
+ :ty#winchester:ns#53:nt#7:nc#1785:\
+ :pa#32648:oa#0:ba#8192:\
+ :pb#65296:ob#32648:\
+ :pc#662235:oc#0:\
+ :pg#564291:og#97944:
+
+Micropolis 1908-15:\
+ :ty#winchester:ns#95:nt#15:nc#1890:\
+ :pa#32775:oa#0:ba#8192:\
+ :pb#65550:ob#32775:\
+ :pc#2693250:oc#0:\
+ :pg#2594925:og#98325:
+
+Micropolis 1924-21:\
+ :ty#winchester:ns#94:nt#21:nc#2072:\
+ :pa#33558:oa#0:ba#8192:\
+ :pb#67116:ob#33558:\
+ :pc#4090128:oc#0:\
+ :pg#3989454:og#100674:
+
+Micropolis 1926-15:\
+ :ty#winchester:ns#101:nt#15:nc#2769:\
+ :pa#33330:oa#0:ba#8192:\
+ :pb#66660:ob#33330:\
+ :pc#4195035:oc#0:\
+ :pg#4095045:og#99990:
+
+Micropolis 1936-21:\
+ :ty#winchester:ns#101:nt#21:nc#2772:\
+ :pa#33936:oa#0:ba#8192:\
+ :pb#67872:ob#33936:\
+ :pc#5879412:oc#0:\
+ :pg#2846382:og#101808:\
+ :ph#2931222:oh#2948190:
+
+Micropolis 2105-8:\
+ :ty#winchester:ns#94:nt#8:nc#1448:\
+ :pa#32336:oa#0:ba#8192:\
+ :pb#64672:ob#32336:\
+ :pc#1088896:oc#0:\
+ :pg#991888:og#97008:
+
+Micropolis 2108-10:\
+ :ty#winchester:ns#94:nt#10:nc#1450:\
+ :pa#31960:oa#0:ba#8192:\
+ :pb#63920:ob#31960:\
+ :pc#1363000:oc#0:\
+ :pg#1267120:og#95880:
+
+Micropolis 2112-15:\
+ :ty#winchester:ns#94:nt#15:nc#1452:\
+ :pa#33840:oa#0:ba#8192:\
+ :pb#67680:ob#33840:\
+ :pc#2047320:oc#0:\
+ :pg#1945800:og#101520:
+
+Micropolis 2205-05:\
+ :ty#winchester:ns#109:nt#5:nc#2088:\
+ :pa#32700:oa#0:ba#8192:\
+ :pb#65400:ob#32700:\
+ :pc#1137960:oc#0:\
+ :pg#1039860:og#98100:
+
+Micropolis 2210-09:\
+ :ty#winchester:ns#109:nt#9:nc#2099:\
+ :pa#33354:oa#0:ba#8192:\
+ :pb#66708:ob#33354:\
+ :pc#2059119:oc#0:\
+ :pg#1959057:og#100062:
+
+Micropolis 2217-15:\
+ :ty#winchester:ns#109:nt#15:nc#2105:\
+ :pa#32700:oa#0:ba#8192:\
+ :pb#65400:ob#32700:\
+ :pc#3441675:oc#0:\
+ :pg#3343575:og#98100:
+
+Micropolis 4110:\
+ :ty#winchester:ns#114:nt#9:nc#1998:
+
+Micropolis 4221:\
+ :ty#winchester:ns#109:nt#9:nc#4079:\
+ :pa#4001499:oa#0:ba#8192:\
+ :pc#4001499:oc#0:
+
+NEC D2363:\
+ :ty#XD7053:ns#67:nt#27:nc#964:
+
+NEC-D2352:\
+ :ty#XD7053:ns#57:nt#19:nc#758:
+
+QUANTUM EMPIRE_2100S:\
+ :ty#winchester:ns#137:nt#12:nc#2497:\
+ :pc#4105068:oc#0:
+
+QUANTUM LPS540S:\
+ :ty#winchester:ns#125:nt#4:nc#2113:
+
+QUANTUM PD1050iS:\
+ :ty#winchester:ns#92:nt#12:nc#1859:\
+ :pc#2052336:oc#0:
+
+QUANTUM XP34301:\
+ :ty#winchester:ns#118:nt#20:nc#3561:
+
+Quantum ELS 127S:\
+ :ty#winchester:ns#54:nt#3:nc#1541:
+
+Quantum ELS 170S:\
+ :ty#winchester:ns#54:nt#4:nc#1542:
+
+Quantum ELS 85S:\
+ :ty#winchester:ns#54:nt#2:nc#1535:
+
+Quantum Empire 1080S:\
+ :ty#winchester:ns#92:nt#16:nc#1431:
+
+Quantum Empire 540S:\
+ :ty#winchester:ns#92:nt#8:nc#1431:
+
+Quantum GoDrive 120S:\
+ :ty#winchester:ns#56:nt#4:nc#1067:
+
+Quantum GoDrive 160S:\
+ :ty#winchester:ns#58:nt#4:nc#1413:
+
+Quantum LPS 105S:\
+ :ty#winchester:ns#42:nt#4:nc#1221:
+
+Quantum LPS 120S:\
+ :ty#winchester:ns#60:nt#2:nc#1987:
+
+Quantum LPS 240S:\
+ :ty#winchester:ns#60:nt#4:nc#1995:
+
+Quantum LPS 270S:\
+ :ty#winchester:ns#76:nt#7:nc#992:
+
+Quantum LPS 525S:\
+ :ty#winchester:ns#70:nt#6:nc#2444:
+
+Quantum Lightning 730S:\
+ :ty#winchester:ns#63:nt#16:nc#1415:\
+ :pa#161280:oa#0:ba#8192:\
+ :pb#96768:ob#161280:\
+ :pc#1426320:oc#0:\
+ :pg#1168272:og#258048:
+
+Quantum PD 1050S:\
+ :ty#winchester:ns#70:nt#12:nc#2444:
+
+Quantum PD 120S:\
+ :ty#winchester:ns#42:nt#5:nc#1114:
+
+Quantum PD 1225S:\
+ :ty#winchester:ns#70:nt#14:nc#2442:
+
+Quantum PD 170S:\
+ :ty#winchester:ns#42:nt#7:nc#1117:
+
+Quantum PD 210S:\
+ :ty#winchester:ns#49:nt#7:nc#1189:
+
+Quantum PD 425S:\
+ :ty#winchester:ns#60:nt#9:nc#1540:
+
+Quantum PD 700S:\
+ :ty#winchester:ns#70:nt#8:nc#2441:
+
+Quantum ProDrive 80S:\
+ :ty#winchester:ns#34:nt#6:nc#832:
+
+Quantum XP32150:\
+ :ty#winchester:ns#109:nt#10:nc#3850:
+
+RICOH RO-5031E:\
+ :ty#winchester:ns#54:nt#15:nc#710:\
+ :pc#575100:oc#0:
+
+RZ24:\
+ :ty#winchester:ns#38:nt#8:nc#1344:\
+ :pc#409792:oc#0:
+
+RZ55:\
+ :ty#winchester:ns#35:nt#15:nc#1218:\
+ :pa#32025:oa#0:ba#8192:\
+ :pb#59850:ob#32025:\
+ :pc#639450:oc#0:\
+ :pg#547575:og#91875:
+
+SEAGATE ST11950N:\
+ :ty#winchester:ns#81:nt#15:nc#2715:\
+ :pc#3298725:oc#0:
+
+SEAGATE ST15230N:\
+ :ty#winchester:ns#111:nt#19:nc#3974:
+
+SEAGATE ST31200N:\
+ :ty#winchester:ns#85:nt#9:nc#2692:
+
+SEAGATE ST31230N:\
+ :ty#winchester:ns#104:nt#5:nc#3978:\
+ :pc#2068560:oc#0:
+
+SEAGATE ST32550N:\
+ :ty#winchester:ns#109:nt#11:nc#3495:\
+ :pc#4190505:oc#0:
+
+SEAGATE ST3600N:\
+ :ty#winchester:ns#79:nt#7:nc#1853:\
+ :pc#1024709:oc#0:
+
+ST83220K:\
+ :ty#"ISP-80":ns#102:nt#19:nc#2652:
+
+SUN0104:\
+ :ty#winchester:ns#35:nt#6:nc#974:
+
+SUN0121:\
+ :ty#winchester:ns#39:nt#4:nc#1520:
+
+SUN0207:\
+ :ty#winchester:ns#36:nt#9:nc#1254:
+
+SUN0327:\
+ :ty#winchester:ns#46:nt#9:nc#1545:
+
+SUN0424:\
+ :ty#winchester:ns#80:nt#9:nc#1151:
+
+SUN0535:\
+ :ty#winchester:ns#80:nt#7:nc#1866:
+
+SUN0669:\
+ :ty#winchester:ns#54:nt#15:nc#1614:
+
+SUN1.3G:\
+ :ty#winchester:ns#80:nt#17:nc#1965:
+
+SUN2.1G:\
+ :ty#winchester:ns#80:nt#19:nc#2733:
+
+Sabre ST82500J:\
+ :ty#XD7053:ns#82:nt#19:nc#2609:
+
+Seagate (CDC) Wren V 94181-702:\
+ :ty#winchester:ns#48:nt#15:nc#1543:
+
+Seagate (CDC) Wren VI 94191-766:\
+ :ty#winchester:ns#52:nt#15:nc#1659:
+
+Seagate (CDC) Wren VII 94601-1.2G SunOS 4.1.1:\
+ :ty#winchester:ns#70:nt#15:nc#1925:
+
+Seagate (CDC) Wren VII 94601-15:\
+ :ty#winchester:ns#71:nt#15:nc#1905:
+
+Seagate (CDC) Wren VIII ST41650N:\
+ :ty#winchester:ns#89:nt#15:nc#2070:
+
+Seagate Elite ST43400N-3.5G:\
+ :ty#winchester:ns#99:nt#21:nc#2736:\
+ :pa#2843360:oa#0:ba#8192:\
+ :pb#2843360:ob#2841993:
+
+Seagate IPI ZBR Elite:\
+ :ty#"ISP-80":ns#78:nt#17:nc#1893:\
+ :pa#34476:oa#0:ba#8192:\
+ :pb#132600:ob#34476:\
+ :pc#2510118:oc#0:\
+ :pg#663000:og#167076:\
+ :ph#1680042:oh#830076:
+
+Seagate ST11200N:\
+ :ty#winchester:ns#80:nt#15:nc#1714:\
+ :pa#2056800:oa#0:ba#8192:\
+ :pc#2056800:oc#0:
+
+Seagate ST11900N:\
+ :ty#winchester:ns#83:nt#15:nc#2619:\
+ :pb#498000:ob#0:\
+ :pc#3260655:oc#0:\
+ :ph#2761410:oh#498000:
+
+Seagate ST1239N SWIFT:\
+ :ty#winchester:ns#35:nt#9:nc#1264:
+
+Seagate ST12400N 2.4GB:\
+ :ty#winchester:ns#82:nt#19:nc#2668:\
+ :pa#32718:oa#0:ba#8192:\
+ :pb#65436:ob#32718:\
+ :pc#4156744:oc#0:\
+ :pg#4058590:og#98154:
+
+Seagate ST12550N:\
+ :ty#winchester:ns#80:nt#19:nc#2747:
+
+Seagate ST1480N:\
+ :ty#winchester:ns#64:nt#9:nc#1456:
+
+Seagate ST15150N:\
+ :ty#winchester:ns#78:nt#21:nc#5119:\
+ :pc#8384922:oc#0:
+
+Seagate ST410800N Elite 9:\
+ :ty#winchester:ns#108:nt#27:nc#6087:\
+ :pc#17749692:oc#0:
+
+Seagate ST42100N - Wren 9:\
+ :ty#winchester:ns#96:nt#15:nc#2574:\
+ :pc#3706560:oc#0:
+
+Seagate ST42400N Elite 2:\
+ :ty#winchester:ns#84:nt#19:nc#2604:\
+ :pc#4155984:oc#0:
+
+Seagate Sabre-5 ST81236J:\
+ :ty#XD7053:ns#82:nt#15:nc#1633:\
+ :pa#99630:oa#0:ba#8192:\
+ :pb#261990:ob#99630:\
+ :pc#2008590:oc#0:\
+ :pd#548580:od#361620:\
+ :pe#1098390:oe#910200:\
+ :pf#361620:of#0:\
+ :pg#1646970:og#361620:\
+ :ph#1908960:oh#99630:
+
+SeagateST3283N:\
+ :ty#winchester:ns#57:nt#5:nc#1689:
+
+Sun1.0G:\
+ :ty#winchester:ns#80:nt#15:nc#1703:
+
+SyQuest SQ555:\
+ :ty#winchester:ns#34:nt#2:nc#1273:\
+ :pc#86564:oc#0:
+
+Toshiba MK 156F:\
+ :ty#winchester:ns#34:nt#10:nc#815:
+
+Vertex V185:\
+ :ty#ACB4000:ns#17:nt#7:nc#1163:
+
diff --git a/etc/etc.palm/fbtab b/etc/etc.palm/fbtab
new file mode 100644
index 00000000000..97f474b21b6
--- /dev/null
+++ b/etc/etc.palm/fbtab
@@ -0,0 +1,3 @@
+/dev/tty00 0600 /dev/console
+/dev/ttyC0 0600 /dev/console:/dev/wskbd:/dev/wskbd0:/dev/wsmouse:/dev/wsmouse0:/dev/ttyCcfg
+/dev/X0 0600 /dev/wsmouse:/dev/wsmouse0:/dev/wskbd:/dev/wskbd0:/dev/ttyC0
diff --git a/etc/etc.palm/sysctl.conf b/etc/etc.palm/sysctl.conf
new file mode 100644
index 00000000000..04d5e3b0ba5
--- /dev/null
+++ b/etc/etc.palm/sysctl.conf
@@ -0,0 +1,4 @@
+#machdep.kbdreset=1 # permit zkbd(4) power key to do a nice halt
+#machdep.maxspeed=520 # set change maximum processor speed
+#machdep.lidsuspend=1 # closing the lid will suspend machine
+#hw.setperf=0 # 0=slowest speed, 100=fastest speed
diff --git a/etc/etc.palm/ttys b/etc/etc.palm/ttys
new file mode 100644
index 00000000000..e0778d88983
--- /dev/null
+++ b/etc/etc.palm/ttys
@@ -0,0 +1,16 @@
+#
+# $OpenBSD: ttys,v 1.1 2009/09/05 02:19:09 marex Exp $
+#
+# name getty type status comments
+#
+console "/usr/libexec/getty std.9600" vt220 off secure
+ttyC0 "/usr/libexec/getty std.9600" vt220 on secure
+ttyC1 "/usr/libexec/getty std.9600" vt220 off secure
+tty00 "/usr/libexec/getty std.9600" unknown off secure
+tty01 "/usr/libexec/getty std.9600" unknown off secure
+tty02 "/usr/libexec/getty std.9600" unknown off
+tty03 "/usr/libexec/getty std.9600" unknown off
+tty04 "/usr/libexec/getty std.9600" unknown off
+tty05 "/usr/libexec/getty std.9600" unknown off
+tty06 "/usr/libexec/getty std.9600" unknown off
+tty07 "/usr/libexec/getty std.9600" unknown off